cURL
curl --request PATCH \ --url https://app.octomind.dev/api/apiKey/v3/test-targets/{testTargetId} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "app": "<string>", "testIdAttribute": "test-automation-id", "testRailIntegration": { "domain": "https://mycompany.testrail.io", "username": "user", "projectId": "123", "apiKey": "123123123" }, "timeoutPerStep": 17500 } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "app": "<string>", "tags": [ "<string>" ], "environments": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "DEFAULT", "discoveryUrl": "https://example.com", "email": "user@example.com" } ] }
Updates a test target by ID.
Documentation IndexFetch the complete documentation index at: https://octomind.dev/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://octomind.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
ID of the test target to update
The app name or project name of the test target
The attribute name of the test ID
"test-automation-id"
Show child attributes
The timeout per step in milliseconds
5000 <= x <= 30000
OK
The environments of the test target